commit 690546c421983d2c6b75082d63325a2b9cd47f08
Author: Bryn M. Reeves <bmr@redhat.com>
Date:   Mon Aug 12 20:34:06 2013 +0100

    Collect /var/log/squid in squid plug-in
    
    Signed-off-by: Bryn M. Reeves <bmr@redhat.com>

diff --git a/sos/plugins/squid.py b/sos/plugins/squid.py
index 3e9b3d8..ce2fb82 100644
--- a/sos/plugins/squid.py
+++ b/sos/plugins/squid.py
@@ -18,6 +18,9 @@ import os
 class squid(sos.plugintools.PluginBase):
     """squid related information
     """
+
+    optionList = [("logsize", "max size (MiB) to collect per syslog file", "", 15)]
+
     def checkenabled(self):
         self.files = [ "/etc/squid/squid.conf" ]
         self.packages = [ "squid" ]
@@ -25,5 +28,7 @@ class squid(sos.plugintools.PluginBase):
 
     def setup(self):
         self.addCopySpec("/etc/squid/squid.conf")
+        self.addCopySpecLimit("/var/log/sqid",
+                            sizelimit = self.getOption("logsize"))
         return
 
